%define upstream_name    Package-Stash
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Routines for manipulating stashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
Manipulating stashes (Perl's symbol tables) is occasionally necessary, but
incredibly messy, and easy to get wrong. This module hides all of that
behind a simple API.

NOTE: Most methods in this class require a variable specification that
includes a sigil. If this sigil is absent, it is assumed to represent the
IO slot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Package
%{_bindir}/package-stash-conflicts

%changelog
* Thu Apr 07 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 81780
- update to 0.29

* Sun Apr 03 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 80137
- update to 0.28

* Fri Mar 11 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 68186
- update to 0.26

* Tue Jan 25 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 38316
- update to 0.25

* Wed Jan 19 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 24539
- adding missing buildrequires:
- fix specs
- imported package perl-Package-Stash

